<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.yifu.process.mapper.TServiceTransferConfigMapper">
    <resultMap id="tServiceTransferConfigMap" type="com.yifu.cloud.plus.v1.yifu.process.entity.TServiceTransferConfig">
        <id property="id" column="ID"/>
        <result property="serviceAgreement" column="SERVICE_AGREEMENT"/>
        <result property="transferType" column="TRANSFER_TYPE"/>
        <result property="wsdlAddress" column="WSDL_ADDRESS"/>
        <result property="transferFunc" column="TRANSFER_FUNC"/>
        <result property="nodeId" column="NODE_ID"/>
    </resultMap>
    <sql id="Base_Column_List">
             a.ID,
                  a.SERVICE_AGREEMENT,
                  a.TRANSFER_TYPE,
                  a.WSDL_ADDRESS,
                  a.TRANSFER_FUNC,
                  a.NODE_ID
         </sql>
    <sql id="tServiceTransferConfig_where">
        <if test="tServiceTransferConfig != null">
            <if test="tServiceTransferConfig.id != null and tServiceTransferConfig.id.trim() != ''">
                AND a.ID = #{tServiceTransferConfig.id}
            </if>
            <if test="tServiceTransferConfig.serviceAgreement != null and tServiceTransferConfig.serviceAgreement.trim() != ''">
                AND a.SERVICE_AGREEMENT = #{tServiceTransferConfig.serviceAgreement}
            </if>
            <if test="tServiceTransferConfig.transferType != null and tServiceTransferConfig.transferType.trim() != ''">
                AND a.TRANSFER_TYPE = #{tServiceTransferConfig.transferType}
            </if>
            <if test="tServiceTransferConfig.wsdlAddress != null and tServiceTransferConfig.wsdlAddress.trim() != ''">
                AND a.WSDL_ADDRESS = #{tServiceTransferConfig.wsdlAddress}
            </if>
            <if test="tServiceTransferConfig.transferFunc != null and tServiceTransferConfig.transferFunc.trim() != ''">
                AND a.TRANSFER_FUNC = #{tServiceTransferConfig.transferFunc}
            </if>
            <if test="tServiceTransferConfig.nodeId != null and tServiceTransferConfig.nodeId.trim() != ''">
                AND a.NODE_ID = #{tServiceTransferConfig.nodeId}
            </if>
        </if>
    </sql>
    <!--tServiceTransferConfig简单分页查询-->
    <select id="getTServiceTransferConfigPage" resultMap="tServiceTransferConfigMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_service_transfer_config a
        <where>
            1=1
            <include refid="tServiceTransferConfig_where"/>
        </where>
    </select>
</mapper>
